一点阅读材料。。。
- SSGET
- the underscore (_) is needed with W, F, WP, :S but not with X, A, C, CP, I, L, P, :E ...
- (ssget '(2 2))
- Create a selection set of the object passing through (2,2):
-
- +. The undocumented “+.” mode forces (ssget) to remain in “point” mode, similar to
- setting PickAuto to 0.... the "+." puts (ssget) into "point" mode. It helps the ":S"
- single-mode act just like (entsel) by avoiding implied selection windows.
- A All like "X" but filters frozen out
- Selects all objects on thawed layers.
- B Box
- Selects all objects inside or crossing a rectangle specified by two points. If
- the rectangle's points are specified from right to left, Box is equivalent to
- Crossing. Otherwise, Box is equivalent to Window.
- C Crossing Simular to Window selection
- Selects objects within and crossing an area defined by two points. A crossing
- selection is displayed as dashed or otherwise highlighted to differentiate it
- from window selection. Specifying the corners from right to left creates a
- crossing selection. *** (Specifying the corners from left to right creates a window
- selection.) (ssget "_C" '(0 0) '(1 1))
- Caution: the area must be on the screen for this to work properly - CAB
-
- CP Crossing Polygon
- Selects objects within and crossing a polygon defined by specifying points. The
- polygon can be any shape but cannot cross or touch itself. AutoCAD draws the
- last segment of the polygon so that it is closed at all times. CPolygon is not
- affected by the PICKADD system variable.
- (ssget "_CP" '((1 1)(3 1)(5 2)(2 4)))
- Example with filters (ssget "_CP" '(Point list) '(Filter List))
- (setq ss (ssget "_CP" '((0 0)(10 0)(10 10)(0 10)) '((0 . "INSERT") (66 . 1)) ))
- Caution: the area must be on the screen for this to work properly - CAB
- (vl-cmdf "._zoom" "_E") ; Extents
-
- Duplicates OK, else duplicates are ignored
- :E Everything in aperture
- Everything within the cursor's object selection pickbox.
- F Fence
- Selects all objects crossing a selection fence. The Fence method is similar to
- CPolygon except that AutoCAD does not close the fence, and a fence can cross
- itself. Fence is not affected by the PICKADD system variable.
- G Groups
- Selects all objects within a specified group.
- I Implied
- Implied selection (objects selected while PICKFIRST is in effect).
- L Last
- Last visible object added to the database
- :L Rejects locked layers
- M Multiple
- Specifies multiple points without highlighting the objects, thus speeding up
- the selection process for complex objects. The Multiple method also selects two
- intersecting objects if the intersection point is specified twice.
- :N Nested
- Call ssnamex for additional information on container blocks and transformation
- matrices for any entities selected during the ssget operation. This additional
- information is available only for entities selected via graphical selection
- methods such as Window, Crossing, and point picks.
-
- Unlike the other object selection methods, :N may return multiple entities with
- the same entity name in the selection set. For example, if the user selects a
- subentity of a complex entity such as a BlockReference, PolygonMesh, or old
- style polyline, ssget looks at the subentity that is selected when determining
- if it has already been selected. However, ssget actually adds the main entity
- (BlockReference, PolygonMesh, etc.) to the selection set. The result could be
- multiple entries with the same entity name in the selection set (each will have
- different subentity information for ssnamex to report).
- P Previous
- Selects the most recent selection set. The Previous selection set is cleared by
- operations that delete objects from the drawing. AutoCAD keeps track of whether
- each selection set was specified in model space or paper space. The Previous
- selection set is ignored if you switch spaces.
- Rejects Viewport
- :R Allows entities in a long transaction to be selected.
- :S Force single object selection only
- :U Enables subentity selection - 2006+
- Cannot be combined with the duplicate (":D") or nested (":N") selection modes.
- In this mode, top-level entities are selected by default, but the user can
- attempt to select subentities by pressing the CTRL key while making the
- selection. This option is supported only with interactive selections, such as
- window, crossing, and polygon. It is not supported for all, filtered, or group
- selections.
- :V Forces subentity selection - 2006+
- Treats all interactive, graphic selections performed by the user as subentity
- selections. The returned selection set contains subentities only. This option
- cannot be combined with the duplicate (":D") or nested (":N") selection modes.
- This option is supported only with interactive selections, such as window and
- crossing. It is not supported for all, filtered, or group selections.
- W Window
- Selects all objects completely inside a rectangle defined by two points.
- Specifying the corners from left to right creates a window selection.
- (Specifying the corners from right to left creates a crossing selection.)
- WP Window Polygon
- Selects objects completely inside a polygon defined by points. The polygon can
- be any shape but cannot cross or touch itself. AutoCAD draws the last segment of
- the polygon so that it is closed at all times. WPolygon is not affected by the
- PICKADD system variable.
|